/* myfopen.c   Pierre A. Humblet    June 8, 2001 
   Replacement for fopen,
   opening read files in text mode by default, even on binary mounts. */

#include <stdio.h>
#include <io.h>
#include <fcntl.h>

FILE * myfopen(char * name, char * mode) {
  FILE * fp;
  (fp = fopen(name, mode)) &&
    strchr(mode,'r') && 
    !strchr(mode,'b') && 
    setmode(fileno(fp),O_TEXT);
  return fp;
}
